%  *********************************************************************
%  
%  peqMainAll.m
%
%  Program for "Information-Constrained State-Dependent Pricing"
%      by Michael Woodford
%
%  Run simulations for multiple parameter sets by calling peqMain for each.
%
%
%  *********************************************************************

clear
baseline=1;  % set to 0 or 1  

fprintf('\nICSDP: Partial Equilibrium with Idiosyncratic Shocks\n'); 
fprintf(datestr(today));
    
if baseline  % A. Baseline calibration: 

fprintf('\nRunning set of baseline parameter calibrations...\n\n');    
kappa = 0.5; 
siga  = 0.06; 
setThetaA = [0; 0.05; 0.5; 5; 50; inf];

for run=1:size(setThetaA,1)
    theta=setThetaA(run); 
    peqMain
end

else         % B. Alternative calibration:

fprintf('\nRunning set of alternative parameter calibrations...\n\n');
setKappa = [0.4; 0.5; 0.6];
setSiga  = [0.05; 0.06; 0.07];
setThetaB= [4.425 2.06 1.205; 
            12.475 5 2.8;
            27.6 10.5 6];

        
for run=1:size(setKappa,1)
    kappa=setKappa(run);
    for qun=1:size(setSiga,1)
        siga=setSiga(qun);
        theta=setThetaB(run,qun);
        peqMain
    end
end

end


